%define name entangle
%define version 0.6.0
%define release %mkrel 3

Summary: Tethered shooting & control of digital cameras
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPLv3+
Group: Graphics
URL: http://entangle-photo.org/
Source: http://entangle-photo.org/download/sources/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gexiv2-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gphoto-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}peas-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: gnome-icon-theme-symbolic
#---------------------------------------------
BuildRequires: LibRaw-devel
BuildRequires: LibRaw
Requires: %{_lib}gtk+3_0
Requires: gnome-icon-theme-symbolic
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Entangle provides a graphical interface for "tethered shooting", aka taking
photographs with a digital camera completely controlled from the computer.

It is built on top of libgphoto using GTK3 for its interface. It is fully
colour managed, auto-detecting system monitor profile and applying the
neccessary transforms when displaying images.

%prep
%setup -q

%build
rm -rf %{buildroot}
%configure2_5x

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %{buildroot}%{_datadir}/%{name}/website
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:

%postun
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS ChangeLog
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gtk-doc/html/Entangle
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/girepository-1.0/Entangle-0.1.typelib
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/entangle.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*

%changelog
* Wed May 25 2016 bb <bb. 0.6.0-3pclos2016
- rebuild new libgphoto

* Tue May 24 2016 bb <bb> 0.6.0-2pclos2016
- rebuild new LibRaw

* Fri Sep 26 2014 pinoc <vogtpet at gmail.com> 0.6.0-1pclos2014
- 0.6.0
- removed {_lib}gphoto2 dependency
- added BR/R gnome-icon-theme-symbolic

* Thu Feb 06 2014 bb <bb> 0.5.4-2pclos2014
- update


